WinShopAPI docs
ReferenceCompanies

List a company's branches

Returns the branches of the company — its delivery and billing sites. Requires `Permissions.Companies.View`.

GET
/api/companies/{companyId}/branches

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

companyId*integer
Formatint32

Response Body

application/json
  1. response
[index: integer]?
curl -X GET 'https://<your-instance>/api/companies/0/branches' \  -H 'Authorization: Bearer <access-token>'
[  {    "address1": "string",    "address2": "string",    "address3": "string",    "barcode": "string",    "branchCreationDate": "2019-08-24T14:15:22Z",    "city": "string",    "companyId": 0,    "companyIdentificationNumber": "string",    "country": "string",    "countryId": 0,    "customerId": 0,    "deliveryDays": 0,    "districtId": 0,    "email1": "string",    "email2": "string",    "email3": "string",    "email4": "string",    "frameworkOrder": "string",    "gps": "string",    "homelandAbroadOwn": 0,    "id": 0,    "isB2BEnabled": true,    "isInactive": true,    "linkB2BWarehouseId": 0,    "linkUserId": 0,    "linkWarehouseId": 0,    "name": "string",    "note": "string",    "number": "string",    "paymentTypeId": 0,    "person1": "string",    "person2": "string",    "person3": "string",    "person4": "string",    "phone1": "string",    "phone2": "string",    "phone3": "string",    "phone4": "string",    "regionId": 0,    "routeId": 0,    "routeOrder": 0,    "salesRepresentativeId": 0,    "storeChainName": "string",    "transportTypeId": 0,    "vatCode": "strin",    "vatRegistrationNumber": "string",    "visitFrequency": "string",    "zipCode": "string"  }]